Don't package Sunbirds updater.ini file in lightning.xpi

VERIFIED FIXED in 0.8

Status

--
minor
VERIFIED FIXED
11 years ago
11 years ago

People

(Reporter: ssitter, Assigned: Fallen)

Tracking

unspecified

Details

Attachments

(1 attachment, 1 obsolete attachment)

(Reporter)

Description

11 years ago
Followup for Bug 413868

Currently we package the file updater.ini:
  linux, windows: lightning.xpi\updater.ini
  mac:            lightning.xpi\updater.app\Contents\MacOS\updater.ini

The file is not required by Lightning and should be shipped with Sunbird only.
(Assignee)

Comment 1

11 years ago
Created attachment 306886 [details] [diff] [review]
Move packaging of updater.ini

This should take care. Ause, if possible go ahead and test this patch, it WFM on linux without any installer stuff.
Assignee: nobody → philipp
Status: NEW → ASSIGNED
Attachment #306886 - Flags: review?(ause)

Comment 2

11 years ago
Created attachment 307245 [details] [diff] [review]
make it work for windows too

makes updater.ini vanish in lightning.xpi but keeps in in sunbird*.zip
Attachment #306886 - Attachment is obsolete: true
Attachment #306886 - Flags: review?(ause)
(Assignee)

Comment 3

11 years ago
Comment on attachment 307245 [details] [diff] [review]
make it work for windows too

Looks good, r=philipp
Attachment #307245 - Flags: review+

Comment 4

11 years ago
uhh, my first cross-commit: trunk MOZILLA_1_8_BRANCH and SUNBIRD_0_8_BRANCH
Status: ASSIGNED → RESOLVED
Last Resolved: 11 years ago
Resolution: --- → FIXED
(Assignee)

Updated

11 years ago
Status: RESOLVED → VERIFIED
Target Milestone: --- → 0.8
You need to log in before you can comment on or make changes to this bug.